# Interface methods for submodule: MultipleValuedNonLinearOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NonLinearOptimizerProxy as _NonLinearOptimizerProxy


# Interface methods for class: MultipleValuedNonLinearOptimizer
class MultipleValuedNonLinearOptimizerProxy(_NonLinearOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetCostFunction(self, costFunction) -> None:
		""""""
		...

